Subject: linux-next: manual merge of the thermal tree with Linus' tree

From: Mark Brown <[email-masked]>
Date: Fri, 20 Sep 2019 13:46:28 +0100

Hi all,

Today's linux-next merge of the thermal tree got conflicts in:

  Documentation/driver-api/thermal/index.rst
  Documentation/driver-api/thermal/sysfs-api.rst
  Documentation/driver-api/thermal/x86_pkg_temperature_thermal.rst

between commit:

  eaf7b46083a7e34 ("docs: thermal: add it to the driver API")

from Linus' tree and commit:

  af3e0fe9c66370a ("docs: thermal: add it to the driver API")

from the thermal tree.

I fixed it up and can carry the fix as necessary. This is now fixed as
far as linux-next is concerned, but any non trivial conflicts should be
mentioned to your upstream maintainer when your tree is submitted for
merging.  You may also want to consider cooperating with the maintainer
of the conflicting tree to minimise any particularly complex conflicts.